@charset "utf-8";
/* CSS Document */

/* ---------------------Farben------------------
	gruen	=	#64b22e
	Hintergrund Grau = #f5f5f5
	Gruen Logo = #64b22e
	Grau Schrift = #696969
	helleres Gruen hover = #7bbd4d
*/


* {
	margin: 0px;
	padding: 0px;	
}

body {
	 font-family: 'Roboto', Arial, sans-serif;
	font-weight: 300;
	font-size: 16px;

	color: #696969;
}

/* body.fe_body {
	overflow: hidden;
}*/

a {
	color: #64b22e;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}


.clear {
	clear: both;
}

h1 {
	font-size: 24px;
	font-weight: normal;
	color: #64b22e;
	margin-bottom: 0.5em;
	font-family: 'Roboto', sans-serif;
	font-weight: 700;
}

h2 {
	font-size: 24px;
	font-weight: normal;
	color: #64b22e;
	margin-bottom: 0.5em;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
}

b, strong {
	font-weight: 700;
}

.fe_content ul li, .fe_content ol li {
    position: relative;
    margin-bottom: 0.5em;
    margin-top: 0.5em; 
}


.fe_maschine_liste_name {
	font-size: 24px;
	font-weight: normal;
	color: #64b22e;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
}

.fe_maschine_liste_name2 {
	font-size: 20px;
	font-weight: normal;
	color: #64b22e;
	margin-bottom: 0.5em;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
}


.fe_seite {
	width: 1000px;
	background: white;
	margin-left: auto;
	margin-right: auto;
	box-shadow: 0px 0px 7px rgba(0,0,0,0.25);
	margin-top: 20px;
	
	width: 910px;
	box-shadow: none;
	margin-top: 0px;
}

.admin_seite {
	width: 1200px;
	background: white;
	margin-left: auto;
	margin-right: auto;
	box-shadow: 0px 0px 7px rgba(0,0,0,0.25);
	margin-top: 20px;

}

.admin_menue {
	width: 200px;
	width: 250px;
	float: left;
	padding: 20px;
}

.admin_footer, .fe_footer {
	/*width: 960px;*/
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	margin-top: 20px;
	font-size: 12px;
	color: #696969;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	padding: 20px;
}

.admin_content {
	width: 720px;
	width: 870px;
	float: right;
	padding: 20px;
}

.admin_menue a {
	color: #696969;
	text-decoration: none;
}

.admin_menue a:hover {
	color: #64b22e;
	text-decoration: none;
}

.admin_content table {
	width: 100%;
}

.admin_content table td {
	padding: 5px 5px 5px 5px;
	text-align: left;
	/*width: 50%;*/
	position: relative;
}

.admin_content table td.ttk, .admin_content table th.ttk {
	font-size: 12px;
	text-align: center;
}

.admin_content table.be_reservierung_table td {
	width: 50%;
}


.admin_content tr:nth-child(even) {
  background-color: white;
}

.admin_content tr:nth-child(odd) {
  background-color: #e1e1e1;
}

.admin_content fieldset {
	border: none;
}

/* Status-Ausgaben im Admin-Bereich */

.status_ok {
	font-weight: bold;
}

.status_fehler {
	font-weight: bold;
	color: green;
}

/* interne Hinweisbox im Admin-Bereich */
.internerHinweis {
	padding: 15px;
	box-shadow: 0px 2px 20px rgba(0,0,0,0.2);
	margin-bottom: 20px;
	display: inline-block;
	color: #f7555a;
	border: 3px solid #f7555a;
	min-width: 300px;
}

/* Input-Fields */
.admin_content input, .admin_content select, .admin_content textarea{
	width: 100%;
	border: 1px solid #696969; /* Farbe */
	padding: 10px 5px 10px 5px;
	box-sizing: border-box;
	color: #696969; /* Farbe */
	font-size: 15px;
	font-family: Arial, sans-serif; /* Schrift */
}

.admin_content .inputInfoBox {
	position: absolute;
	top: 0px;
	right: 0px;
	padding: 10px 5px 0px 5px;
	box-sizing: border-box;
	height: 100%;
	background: grey;
	color: white;
}

.admin_content .input_wrapper {
	position: relative;
}

.admin_content input[type='checkbox']{
	width: auto;
	height: auto;
	border: 0px;
	padding: 10px;
}

.admin_content .input_radio_table {
	table-layout: fixed;
	width: auto;
}

.admin_content .input_radio_table tr {
	background: none;
}

.admin_content .input_radio_table tr td {
	width: 1px;
	white-space: nowrap;
}

.admin_content .input_radio_table input {
	padding: 0px;
	width: auto;
}

.admin_seite .km_kalender_wrapper {
	width: 250px;
	padding: 20px;
	float: left;
}

/* Vergleichskalender */
.admin_seite .vergleichskalender_wrapper {
	float: left;
	border: 1px solid #dadada;
	box-sizing: border-box;
	margin-top: 20px;
	position: relative;
}

.admin_seite .vergleichskalender_wrapper select {
	width: 100%;
	margin: 10px 0px;
	height: 30px;
	font-family: 'Roboto', Arial, sans-serif;
	font-weight: 500;
	font-size: 14px;
	color: #64b22e;
	text-align: center;
}

.admin_seite .vergleichskalender_wrapper .vergleichskalender_header {
	padding: 10px 15px;
}

.admin_seite .vergleichskalender_content {
	position: relative;
	width: 250px;
	height: 270px;
}



/* Focus auf Input Felder */
.admin_content input:focus, 
.admin_content textarea:focus{
  border: 1px solid #64b22e; /* Farbe */
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2)
}

/* Submit Button */
.admin_content input[type="submit"] {
	cursor: pointer;
}

.admin_content button.bi, .admin_content button.binl {
	color: #64b22e;
	padding: 5px;
	font-family: FontAwesome;
	border: 0px; 
	background: none;
	cursor: pointer;
}

.admin_content button.binl {
	cursor: help;
} 

.admin_content button.bt {
	color: #64b22e;
	padding: 5px;
	border: 0px; 
	background: none;
	cursor: pointer;
	font-weight: bold;
}

/* Front-End Listendarstellung */

.fe_content {
	width: 96%;
	/*
	float: left;
	*/
	padding: 2%;
}


.fe_maschine_liste {
	position: relative;
	width: 96%;
	box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
	padding: 2%;
	margin-bottom: 20px;
	transition: box-shadow .3s ease-out;
}

.fe_maschine_liste:hover {
	box-shadow: 0px 0px 15px rgba(0,0,0,0.15), 0px 10px 10px rgba(0,0,0,0.15);
}

.fe_maschine_liste_bild {
	float: left;
	margin-right: 20px;

}

.fe_maschine_liste_bild img {
	margin-bottom: 15px;
}

.fe_maschine_liste_text {
	/*float: left;
	margin-left: 20px;*/
	/*width: 650px;*/
	overflow: hidden;
	padding: 5px;
}

.fe_maschine_detail_rechte_spalte_wrapper {
	overflow: hidden;
	padding: 5px;
}
	
.fe_maschine_liste_features {
	list-style-position: inside; 
}

.fe_maschine_liste_features ul {
	list-style-type: circle;
}



.fe_formular_label {
	color: #64b22e;
	font-size:12px;
}

.kalender {
	width: 250px;
	float: left;
}

.anfrageformular {
	/*width: 650px;
	float: left;
	margin-left: 20px;*/
	
}




/* Input-Fields */
.formularfeld {
	width: 100%; 
	border: 1px solid #696969; /* Farbe */
	padding: 10px 5px 10px 5px;
	box-sizing: border-box;
	color: #696969; /* Farbe */
	font-size: 15px;
	font-family: Arial, sans-serif; /* Schrift */
	margin-bottom: 10px;
} 

/* Focus auf Input Felder */
.fe_content input:focus, 
.fe_content textarea:focus{
  border: 1px solid #64b22e; /* Farbe */
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2)
}

.button_details {
	position: absolute;
	color: white;
	background: #64b22e;
	padding: 10px;
	border: 0px;
	border-radius: 5px;
	cursor: pointer;
	float: right;
	bottom: 20px;
	right: 20px;
}

.form_zurueck {
	text-align: center;
}

.button_zurueck {
	color: white; 
	background: green;
	padding: 10px;
	border: 0px; 
	border-radius: 5px;
	cursor: pointer;
	margin-left: auto;
	margin-right: auto;
}

/* Frontend Liste Formatierungen */

.liste_reservierungen {
	/*float: left;*/
	/*
	margin-left: 270px;
	width: 650px;*/
}


.liste_reservierungen table{
	width: 100%;
}

.liste_reservierungen table td{
	padding: 5px 5px 5px 0px;
}


.liste_reservierungen table tr:nth-child(odd){
	background: #f5f5f5;
}

.liste_reservierungen table th{
	text-align: left;
	padding: 5px 5px 5px 0px;
	background: white;
}

.rechte_spalte_wrapper{
	overflow: hidden;
	padding: 5px;
}


/* Datepicker */
body .input-daterange input {
	text-align: left;
}

.datepicker.dropdown-menu {
	margin-top: 15px;
}

.datepicker table tr td.disabled {	
	background: #f0a0a0!important;
	color: white!important;	
	cursor: not-allowed!important;
}

.datepicker table tr td.new.disabled,
.datepicker table tr td.old.disabled{
	opacity: 0.5;
}

.datepicker table tr td.range {
	background: #92c466!important;
}

.datepicker table tr td.range.disabled {
	background: #f0a0a0!important;
}

.datepicker table tr td.new.range,
.datepicker table tr td.old.range{
	opacity: 0.5;
}

.datepicker table tr td.active.active,
.datepicker table tr td.selected{
	background: #008318!important;
}

.datepicker table tr td.today.disabled {
	background: #f4b747!important;
	font-weight: bold!important;
}

.datepicker table tr td.today {
	font-weight: bold!important;
}

.datepicker table tr td.active.disabled {
	background: #204d74!important;
}



/* MWST Info */
.mwst_info {
	/*width: 960px;*/
	margin-left: auto;
	margin-right: auto;
	margin-top: 10px;
	font-size: 12px;
	color: #696969;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
}

.mwst_info_detail {
	font-size: 12px;
	color: #696969;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	/*
	width: 650px;
	float: left;
	margin-left: 20px;*/
	padding: 15px 0px 25px 5px;
	overflow: hidden;
}

/* Formular Error Box */
.error_box {
	background: #ff7878;
	color: white;
	border: 1px solid #ff7878;
	padding: 10px;
	margin-bottom: 10px;
}

.anfrage_versendet_box {
	float: left;
	margin-left: 20px;
}

/* Abfrage Lightbox */
.km_lightbox_overlay {
    display: none;
    background: rgba(0,0,0,0.85);
    width: 100%;
    height: auto;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 999;
    opacity: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

.abfrage_box_content {
	width: 500px;
	background: white;
	margin: 0px auto;
	opacity: 1;
	text-align: center;
	position: fixed;
	display: none;
	z-index: 999;
	left: 0; 
  	right: 0; 
  	margin-left: auto; 
  	margin-right: auto;
	top: 50%;
    transform: translateY(-50%);
	padding: 30px;
	box-sizing: border-box;
	font-size: 20px;
}

.abfrage_box_content button {
	width: 100%;
	margin: 5px 0px;
	border: 1px solid #696969;
	padding: 10px 5px 10px 5px;
	box-sizing: border-box;
	color: #696969;
	font-size: 15px;
	font-family: Arial, sans-serif;
	cursor: pointer;
}

.abfrage_box_content_text{
	padding-bottom: 20px;
}

.abfrage_box_content_text strong{
	color: red;
}



/* Status Meldungen */
.status_ok {
	background: #8fcb64;
	color: white;
	padding: 20px;
	border: 1px solid #3f3f3f;
	margin-bottom: 10px;
}

.status_fehler {
	background: #e47676;
	color: white;
	padding: 20px;
	border: 1px solid #3f3f3f;
	margin-bottom: 10px;
}

/* Übersichts Button */
.zurueck_zur_ubersicht {
	padding: 10px 0px;
	display: block;
}

.responsive_headline_in {
	display: none;
}

/* ========== Responsive ========== */
.box_status_icon {
	display: none;
}

/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767px) {

	.fe_seite {
		width: 100%;
	}
	
	/* Übersicht */
	.button_details {
		position: relative;
		bottom: auto;
		right: auto;
	}
	
	.fe_content img {
		max-width: 100%;
		height: auto;
	}
	
	.mwst_info {
		padding: 2%;
	}
	
	.fe_reservierung_table_wrapper {
		overflow-x: auto;
		overflow-y: hidden;
	}
	
	/* Mobil: Admin Bereich */
	.admin_seite {
		width: 100%;
	}
	
	.admin_menue {
		width: 100%;
		box-sizing: border-box;
	}
	
	.admin_content {
		width: 100%;
		box-sizing: border-box;
	}
	
	.admin_content table {
		border-collapse: collapse;
	}
	
	.admin_content table td {
		display: block;
		padding: 10px 10px 10px 10px;
		width: 100%;
		box-sizing: border-box;
	}
	
	.admin_content table tr {
		border: 1px solid #ddd;
		border-bottom: 3px solid #ddd;
		display: block;
		padding: .35em;
		margin-bottom: 15px;
	}
	
	.admin_content table tr:last-child {
		
	}
	
	.admin_content table tr td:first-child {
		
	}
	
	.admin_content table tr td:last-child {
		
	}
	
	.admin_content table.be_reservierung_table td {
		width: 100%;
	}
	
	.be_reservierung_table:first-child {
		display: none;
	}
	
	.admin_content table .be_reservierung_td_space {
		display: none;
	}
	
	.admin_content .input_radio_table {
		width: 100%;
	}
	
	.admin_content .input_radio_table tr td {
		width: 100%;
		display: table-cell;
	}
	
	.admin_content .input_radio_table .responsive_headline {
		display: none;
	}
	
	table.reservierungen_table_responsive tr {
	border: 1px solid #ddd;
    border-bottom: 3px solid #ddd;
    display: block;
	padding: .35em;
	margin-bottom: 15px;
}
	
	table.reservierungen_table_responsive tr td {
		text-align: left!important;
		font-size: 16px!important;
		border-bottom: 1px solid #ddd;
	}
	
	table.reservierungen_table_responsive tr td:last-child {
		border-bottom: none;
	}

table.reservierungen_table_responsive thead {
	display: none;
}

table.reservierungen_table_responsive td:before {
    content: attr(data-label);
    text-transform: uppercase;
	display: block;
	font-weight: 700;
}
	
	.responsive_empty {
		display: none!important;
	}
	
	.input_radio_table tr {
		border: none!important;
		border-bottom: none!important;
		display: block!important;
		padding: 0px!important;
		margin-bottom: 0px!important;
	}
	
	.input_radio_table tr td {
		width: auto!important;
	}
	
	/* Mobile: Buttons */
	.admin_content button.bi, .admin_content button.binl {
		width: 100%;
		border: 1px solid lightgray;
		padding: 10px;
		font-size: 15px;
	}
	
	.admin_content button.bt {
		width: 100%;
		padding: 10px;
	}
	
	.admin_content button.binl {
		width: 100%;
		border: none;
		padding: 10px;
		font-size: 15px;
		text-align: left;
	}
	
	.filter_button_dropdown {
		position: relative;
		cursor: pointer;
		
	}
	
	.filter_button_dropdown .box_status_icon {
		position: absolute;
		top: 0px;
		right: 10px;
		height: 100%;
		font-size: 30px;
		padding-top: 10px;
		box-sizing: border-box;
		display: block;
	}
	
	/* Mobile: Abfrage Box */
	.abfrage_box_content {
		width: 100%;
		max-width: 500px;
	}
	
	/* Mobile: Dropdown Filter */
	.filter_box_dropdown {
		border: 1px solid lightgray;
	}
	
	.filter_box_dropdown_content {
		display: none;
	}
	
	.filter_button_dropdown h2 {
		margin-bottom: 0px;
		padding: 10px;
		cursor: pointer;
	}
	
	.box_closed .box_status_icon .fa-angle-double-down {
		display: block;	
	}
	
	.box_closed .box_status_icon .fa-angle-double-up {
		display: none;
	}
	
	.box_open .box_status_icon .fa-angle-double-down {
		display: none;	
	}
	
	.box_open .box_status_icon .fa-angle-double-up {
		display: block;
	}
	
	.admin_seite .km_kalender_wrapper {
		width: 100%;
		box-sizing: border-box;
		overflow: hidden;
	}
	
	.admin_seite .vergleichskalender_wrapper {
		max-width: 252px;
		clear: both;
	}
	
	
}

@media (max-width: 500px) {
	/* Mobile 1 Spaltig */
	.fe_maschine_liste_bild {
		float: none;
		margin-right: 0px;
	}
	
	.button_details {
		float: none;
		margin-top: 15px;
	}
	
}

@media (max-width: 550px) {
	.fe_maschine_liste_bild {
		float: none;
		margin-right: 0px;
	}
	
	.kalender {
		float: none;
		margin-bottom: 20px;
	}
	
}

